<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd"><html>
<head>
   <META name="Broadwater Online Catalog Book X0.2 About" content="LibDatabase Catalog X0.23 About">
  <META name="Description" content="Broadwater Library Book search results">
  <META http-equiv="Content-Type" content="text/html; charset=us-ascii">
  <META name="Keywords" content="Broadwater Friends of the Library Community Development Nebraska Panhandle Morrill Catalog Entry ">

   <link rel="stylesheet" type="text/css" media="screen, tv" href="dblib.css">
  <link rel="stylesheet" media="print, handheld" href="dbprinter.css">

	<meta name="author" content="Beth Kulacz" >
		<meta name="generator" content="screem 0.16.1" >
		<meta http-equiv="Content-Script-Type" content="text/javascript" >
		<meta http-equiv="Content-Script-Type" content="text/php" >
		<meta http-equiv="Content-Style-Type" content="text/css" >

  <title>Library Book Circulation</title>
</head>
<body>
<h1>Library Circulation</h1>
<?php
  // create short variable names
  $circtype=$_POST['circtype'];
  $libcard=$_POST['libcard'];
  $bookid=$_POST['bookid'];
  
  $libcard= trim($libcard);
  $bookid= trim($bookid);

  if (!$circtype || !$bookid || !$libcard)
  {
     echo 'You have not entered enough information.  Please go back and try again.';
     exit;
  }
  
  if (!get_magic_quotes_gpc())
  {
    $circtype = addslashes($circtype);
    $bookid = addslashes($bookid);
    $libcard = addslashes($libcard);
  }

require('consecuredb.inc');

// Get current date
$now = mktime(0,0,0,date("m"),date("d"),date("Y"));
$cdate = date("Y-m-d", $now);
echo "  Today is ";
echo ($cdate);
echo("<br />");

//Get info on this book

  $query = "select * from library where isbn like  '%".$bookid."%'";
  echo $query;
  $result = $db->query($query);  
  $row = $result->fetch_assoc();
if ($row[authorlast] == "" && $row[title] == "" && $row[isbn] == "")
    { echo 'Book was not found!';
       exit;        
    }

  
  //Now circulate, according to function
  echo ($circtype);
  echo("<br />");
  
  // Checkout Books
  if ($circtype == 'checkout')
  {
  //Is it a reference book?
if ($row['ref'] != "N")
{ echo 'This is a reference book which cannot be checked out. If you believe this is in error, please update/correct the item in question. See your library director for further direction.';
  exit;
}
//Is it already checked out?
if ($row['patronid'] <> 0)
{ echo 'This book is already checked out by ';
   echo $row['patronid'];
   echo '. Please check it back in or correct the error.';
   exit;
}
   
   //Is it on hold?
if ($row['holdlength'] > 0)
{
   $ql = $row['holdlength'];
    if ($row['holdque'] <> $libcard)  // Somebody else has it on hold
    { echo 'This book is on hold by ';
        echo $row['holdque'];
        echo '. This user ';
        echo $libcard;
        echo ' Cannot check the book out unless the hold is removed. Please inform the user or correct the error.';
       exit;
     }
   else
         {
         $qlength = 0;   //Should always be zero for this version
         $newque = "";  //Null string in this version. we'll strip this patron off and have the rest of the queue in the future supporting longer queues.
         }
 }

// Okay to check out
  
// Get due date
$checkouttime = 14;   //Arbitrarily 14 days in this version. Will be selectable or settable by user
$datedue  = mktime(0,0,0,date("m"),date("d")+14,date("Y"));
$dudate = date("Y-m-d", $datedue);
echo "It is due on:  ".$dudate;
echo('<br />');


$query = "UPDATE library SET  lastcheckout ='".$cdate."', patronid = '".$libcard."', holdlength ='".$qlength."', holdque =  '".$newque."', due ='".$dudate."' WHERE isbn ='".$bookid."'";

 echo $query;
  echo '<br>';
  }   //Endif circtype=checkout
  
   // Check In Books
  if ($circtype == 'checkin')
  {
      echo 'Checking in  ';
      $titlle = $row[title];

      $thebook = $row[isbn];
      $authorname = $row[authorlast]; 
      $authorf = $row[authorfirst];
      $chekoutby = $row[patronid];
      $holdlen = $row[holdlength];
      $hque = $row[holdque];
      
      echo $thebook;
      echo "   <b><u>";
      echo $titlle;
      echo "</u>   ";
      echo "    ";
      echo $authorname;
      echo "</b>, <b>";
      echo $authorf;
      echo "</b>  checked out by <b>";
      echo $chekoutby;
      echo "</b> ";

// Blank out the duedate and patron, since it is no longer checked out by this patron
      $never = mktime(0,0,0,0,0,0);
      $neverd = date(Y-m-d, $never);
      $query =  "UPDATE library SET patronid = 0,  due = '".$neverd."' WHERE isbn ='".$bookid."'";
      //       $query =  "UPDATE library SET patronid = 0,  due = 0 WHERE isbn ='".$bookid."'";
      echo $hque;
      echo $holdlen;
   //Is it on hold by another user?
   if ($row['holdlength'] > 0)
//if (($holdlen > 0) && ($holdlen != ""))
{
    echo 'This book is on hold by ';
    echo $hque;
    echo '. Please notify ';
    echo $hque;
    echo ' that this book is now available.';
     }


      
  }  //Endif circtype=checkin

 // Renew Books
  if ($circtype == 'renew')
  {
 
//Is it already checked out?
if ($row['patronid'] == 0)
{ echo 'This book is not checked out. Please go back to menu and select CHECKOUT function, or correct the error. ';
   exit;
}

//Is it checked out by another user?
if ($row['patronid'] <> $libcard)
{ echo 'This book is checked out by a different user ';
   echo $row['patronid'];
   echo '. Please check it back in or correct the error.';
   exit;
}
   
   //Is it on hold by another user?
if ($row['holdlength'] > 0)
{
   $ql = $row['holdlength'];
    if ($row['holdque'] <> $libcard)  // Somebody else has it on hold
    { echo 'This book is on hold by ';
        echo $row['holdque'];
        echo ' and cannot be renewed by this user. Please inform this user, check it back in, and notify ';
        echo $row['holdque'];
        echo ' that this book is now available.';
       exit;
     }
// No else clause necessary. The person who currently has it checked out should never also have it on hold
}
// Is it already past due? If so, just complain, and allow it, since we already know there are no holds. Later, assess fine
   echo $row['due'] - $cdate;
   if ($row['due'] < $cdate)
   {
       echo "This book is already overdue. Please inform and assess fine. It is not on hold, so you may wish to allow renewal. ";
       echo "That is assumed in this version, and database updated. If your library does not wish to allow this, please go back and check the book back in.";
    }

// Okay to renew
  
// Get due date
$checkouttime = 14;   //Arbitrarily 14 days in this version. Will be selectable or settable by user
$datedue  = mktime(0,0,0,date("m"),date("d")+14,date("Y"));
$dudate = date("Y-m-d", $datedue);
echo('<br />');
echo "It now is due on:  ".$dudate;
echo('<br />');


$query = "UPDATE library SET  lastcheckout ='".$cdate."',  due ='".$dudate."' WHERE isbn ='".$bookid."'";

 echo $query;
  echo '<br>';
  }   //Endif circtype=renew
  
  
   // Place a HOLD on a book - circtype = placehold
  if ($circtype == 'placehold')  
  {
 
   
   //Is it already on hold by another user?
if ($row['holdlength'] > 0)
{
   $ql = $row['holdlength'];
    if ($row['holdque'] <> $libcard)  // Somebody else has it on hold
    { echo 'This book is on hold by ';
        echo $row['holdque'];
        echo ' and this version does not support lists of holds greater than 1. The librarian needs to keep a list of holds where more than one person is waiting for the same book. ';
       exit;
     }
// No else clause necessary. The person who currently has it checked out should never also have it on hold
}


// Okay to place a hold
  $hldlength = $row['holdlength'] + 1;  // Increment hold length - for future versions, this may be greater than 1
  $hldque = $libcard;  //THIS user now has it on hold.

$query = "UPDATE library SET  holdlength ='".$hldlength."',  holdque ='".$hldque."' WHERE isbn ='".$bookid."'";

// Now Charge the User

  $result = $db->query($query);
// And Add it to the books that should be replaced

 echo $query;
  echo '<br>';
  }   //Endif circtype=placehold


   // Remove a HOLD on a book - circtype = remhold
  if ($circtype == 'remhold')  
  {
 
   
 // $hldlength = $row['holdlength'] + 1;  // Increment hold length - for future versions, this may be greater than 1
  
  $hldlength = 0;  // For version X0.24, hold length is 0 or  1 
  $hldque = 0;  // Nobody has it on hold.

$query = "UPDATE library SET  holdlength ='".$hldlength."',  holdque ='".$hldque."' WHERE isbn ='".$bookid."'";

 echo $query;
  echo '<br>';
  }   //Endif circtype=remhold


   // Charge patron for lost book - circtype = lostbook
  if ($circtype == 'lostbook')  
  {
  $bkid = $row['isbn'];
  $titl = $row['title'];
  $authf = $row['authorfirst'];
  $authl = $row['authorlast'];
  $patr = $row['patronid'];
  
     
// Do they really have it checked out?

  if ($patr <> $libcard)
  {      
      echo $titl;
      echo ' by ';
      echo $authl;
      echo ', ';
      echo $authf;
      echo ' is not checked out by ';
      echo $libcard;
      echo ' It is checked out by ';
      echo $patr;
      echo '<br>Please correct the error and try again.';
      exit;
   }

   //Is it already on hold by another user?
if ($row['holdlength'] > 0)
{
   $ql = $row['holdlength'];
    if ($row['holdque'] <> $libcard)  // Somebody else has it on hold
    { echo '<br>This book is on hold by ';
        echo $row['holdque'];
        echo ' Please notify that patron that their book may be delayed. ';
        echo 'The existence of this hold is not maintained by this version. Please record this information for when the book is replaced.<br>';
     }
}
      echo 'The price of <u>';
      echo $titl;
      echo '</u> by ';
      echo $authl;
      echo ', ';
      echo $authf;
      echo ' is <b>';
     $vprice = stripslashes($row['price']);
      setlocale(LC_MONETARY, "en_US");   // Setting the currency format to US dollars
     echo money_format("%n", $vprice);
     echo '</b><br>  Please collect the money from the patron, or record the amount owed in another place. ';
     echo 'This version does not support the maintaining of sums owed on a library card. That will be included in a future release.';
    echo '<br/><br/>Record this book for possible replacement. A future release will keep a list of books to be replaced.<br/>';
  // Delete the book
    $query = "delete from library where isbn = '".$bookid."'";

 echo $query;
  $result = $db->query($query);
  echo $result;

  echo '<br/>'; 
 
// Now put it on the list to be replaced
$nul = '';
$chtype = "L";
$comm = "Lost book ";

 $query = "insert into replacematerials values 
            ('".$nul.','.$isbn."', '".$cdate."', ".$authorlast."', '".$authorfirst."', '".$title."', '".$copyright."', '".$agetype."',  '".$genre."',  '".$format."',   '".$price."', '".$comm."')"; 

 echo $query;   
  $result = $db->query($query);  
  echo $result;
     

  echo '<br/>';            
  $result = $db->query($query);
// And charge the patron
 $query = "insert intorUserfees values 
            ('".$nul.','.$libcard."', '".$chtype."', ".$cdate."',  '".$comm."'. '".$price."')"; 
   echo $query;   
  $result = $db->query($query);
  echo $result;
  echo '<br/>';
  }   //Endif circtype=lostbook
  
  $result = $db->query($query);
  if ($result)
{
  if ($circtype == 'checkout')
  {
  echo  $db->affected_rows.' book checked out in database.'; 
  echo '<br>';
  }
}  
echo '<br><br>';
echo '<center><table border=1 width="90%" bgcolor="#F9F6e8">';
echo '<tr>';
//echo '<TD width="30%"><a href="checkout.html">Checkout More to This Patron</a>';
echo '<TD width="30%"><a href="checkout.html">Do more book circulations</a>';
echo '<TD width="30%"><a href="LibMain.html">Main Menu</a>';
echo '</tr>';
echo '</table>';

  $result->free();
  $db->close();

?>
</body>
</html>