<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>

  <title>Overdue Material Search Results</title>
   <META name="LibDatabase V1.0 Overdue" content="LibDatabase V1.0 Overdue">
  <META name="Description" content="LibDatabase V1.0">
  <META http-equiv="Content-Type" content="text/html; charset=us-ascii">
  <META name="Keywords" content="LibDatabase V1.0 Search for Overdue materials ">

   <link rel="stylesheet" type="text/css" media="screen, tv" href="dblib.css">
  <link rel="stylesheet" media="print, handheld" href="dbprinter.css">

	<meta name="author" content="Beth Kulacz" >
		<meta name="generator" content="screem 0.16.1" >
		<meta http-equiv="Content-Script-Type" content="text/javascript" >
		<meta http-equiv="Content-Script-Type" content="text/php" >
		<meta http-equiv="Content-Style-Type" content="text/css" >
</head>
<body>
<center><h1>Overdue Material Search Results</h1></center>
<?php

require('dbhead.inc');
  // create short variable names
  $searchtype=$_POST['searchtype'];
  $searchterm=$_POST['searchterm'];

  $searchterm= trim($searchterm);

  if (!$searchtype || !$searchterm)
  {
     echo 'You have not entered search details.  Please go back and try again.';
     exit;
  }
  
  if (!get_magic_quotes_gpc())
  {
    $searchtype = addslashes($searchtype);
    $searchterm = addslashes($searchterm);
}

require('connectdb.inc');
//  $query "SELECT * FROM `library` WHERE `due` < \'2013-07-01\' order by patronid";
//Might have to collect YYYY  MM  DD  and makedate to get them into date format
  $query= "select * from library where  due < '".$searchterm."' and due > 0 order by patronid";
  echo $query;
  $result = $db->query($query);

  $num_results = $result->num_rows;
  echo '<font size=4>';
  echo '<p>Number of items found: '.$num_results.'</p>';
  echo '<p>Due before: '.$searchterm.'</p>';

// Get current date
$now = mktime(0,0,0,date("m"),date("d"),date("Y"));
$cdate = date("Y-m-d", $now);
echo "  Today is ";
echo ($cdate);
echo("<br />");

  for ($i=0; $i <$num_results; $i++)
  {
     $row = $result->fetch_assoc();
     echo '<p><strong>'.($i+1).'. Title: ';
 //    echo htmlspecialchars(stripslashes($row['title']));
     echo stripslashes($row['title']);
     echo '</strong><br />Author: ';
     echo stripslashes($row['authorlast']);
     echo ', ';
     echo stripslashes($row['authorfirst']);
     echo '<br />Book ID: ';
     echo stripslashes($row['isbn']);
     echo '<br />Copyright: ';
     echo stripslashes($row['copyright']);
// Get book type
     $gen = stripslashes($row['genre']);
     $age = stripslashes($row['agetype']);
// Get format
  
     $format = stripslashes($row['format']);
     $due = stripslashes($row['due']);
     $patrid = stripslashes($row['patronid']);

// Is it checked out? By whom?

    if ($due <> 0 and $due <>'')
    {
        echo '<br />Checked Out by ';

        echo stripslashes($row['patronid']);   //Not sure if we want to display this information. Commented out.
               echo '<br />Due: ';
               echo $due;
    }
// Get reader/performer (if any)

    $reader = stripslashes($row['reader']);
    if (($format == "T") or ($format == "A"))    //Define more types with readers or performers
    {
     echo '<br />Reader/Performer: ';
    echo $reader;}

     echo '<br />Age Group: ';

     if ($age == "A")
     {echo 'Adult ';
     }
     else
        if ($age == "Y")
        {echo 'Young Adult ';
        }
        else
           if ($age == "C")
           {echo 'Children ';
           }
           else echo 'Unknown type ';
     $gen = stripslashes($row['genre']);
     echo '<br />Genre: ';
     if ($gen == "N")
     {echo 'Nonfiction ';
     }
        if ($gen == "G")
        {echo 'Fiction ';
        }
 
           if ($gen == "M")
           {echo 'Mystery Fiction ';
           }
           if ($gen == "H")
             {echo 'Humor ';
           }

           if ($gen == "S")
           {echo 'Science Fiction/Fantasy/Horror ';
           }

           if ($gen == "P")
           {echo 'Suspense ';
           }

           if ($gen == "W")
           {echo 'Western Fiction ';
           }
 
           if ($gen == "R")
           {echo 'Romance Fiction ';
           }
       
                if ($gen == "I")
           {echo 'Inspirational Fiction ';
           }

           if ($gen == "E")
           {echo 'Childrens Stories ';
           }

           if ($gen == "L")
           {echo 'Childrens Animal Stories ';
           }
 
           if ($gen == "Y")
           {echo 'Materials for Family or Individual fun ';
           }
       
                if ($gen == "Q")
           {echo 'No Genre ';
           }
     echo '<br /> Format: ';
       if ($format == "B")
        {echo 'Regular Book ';
        }
 
           if ($format == "L")
           {echo 'Large Print Book ';
           }

           if ($format == "A")
           {echo 'Audio Book on CD ';
           }

           if ($format == "T")
           {echo 'Audio Book on Cassette Tape ';
           }
            if ($format == "D")
           {echo 'DVD ';
           }
       
           if ($format == "V")
           {echo 'VHS Tape ';
       }
           if ($format == "Z")
           {echo 'Music Tape ';
   }
   
           if ($format == "S")
           {echo 'Music CD ';
           }
            if ($format == "E")
           {echo 'Game ';
           }
       
           if ($format == "P")
           {echo 'Puzzle ';
       }
           if ($format == "O")
           {echo 'Other format ';
           }
       
     echo '<br />Location: ';
     echo stripslashes( $row['location']);
     echo '<br />Comments: ';
     echo stripslashes($row['comments']);
     
     
// Compute the number of days that the book is past due. Find out how. It's got to do with date_diff function

//     $fdays = $cdate - $due;   // The book is fdays overdue
 //    echo '<br/>The book is ';
//     echo $fdays;
 //    echo ' overdue. See your library policies to compute any fine.';
 
// Put in price for overdue books. Should be used by librarians only
     echo '<br />Replacement cost for material: ';
     $vprice = stripslashes($row['price']);

     setlocale(LC_MONETARY, "en_US");   // Setting the currency format to US dollars
     echo money_format("%n", $vprice.'');
 
 
     echo '</p>';
  }
  
  $result->free();
  $db->close();
    $callr = "";
$cname = "";
require('dbfooter.inc');
?>